import enumerate.Action;

public class Combo {
	private Action _Action;
	private int _NeedEnergy;
	private double _Damage;
	private AttackType _AttackType;
	private int _Special;
	private int _InAir;

	public Combo(Action action, int needenergy, double damage, AttackType type,
			int special, int inAir) {
		this._Action = action;
		this._NeedEnergy = needenergy;
		this._Damage = damage;
		this._AttackType = type;
		this._Special = special;
		this._InAir = inAir;
	}

	public Action GetAction() {
		return this._Action;
	}

	public int GetNeedEnergy() {
		return this._NeedEnergy;
	}

	public double GetDamage() {
		return this._Damage;
	}

	public AttackType GetAttackType() {
		return this._AttackType;
	}

	public int GetSpecial() {
		return this._Special;
	}

	public int GetInAir() {
		return this._InAir;
	}

	public static Combo[] GetAll() {
		Combo[] list = new Combo[] {
				new Combo(Action.THROW_A, 0, 10, AttackType.Throw, 0, 0),
				new Combo(Action.THROW_B, 0, 20, AttackType.Throw, 0, 0),
				new Combo(Action.STAND_A, 0, 8, AttackType.High, 0, 0),
				new Combo(Action.STAND_B, 0, 12, AttackType.High, 0, 0),
				new Combo(Action.CROUCH_A, 0, 30, AttackType.Low, 0, 0),
				new Combo(Action.CROUCH_B, 0, 10, AttackType.Low, 0, 0),
				new Combo(Action.STAND_FA, 0, 40, AttackType.High, 0, 0),
				new Combo(Action.STAND_FB, 0, 60, AttackType.Middle, 0, 0),
				new Combo(Action.CROUCH_FA, 0, 50, AttackType.Low, 0, 0),
				new Combo(Action.CROUCH_FB, 0, 60, AttackType.Low, 0, 0),
				new Combo(Action.STAND_D_DF_FA, 0, 50, AttackType.High, 1, 0),
				new Combo(Action.STAND_D_DF_FB, 0, 50, AttackType.High, 1, 0),
				new Combo(Action.STAND_D_DF_FC, 300, 300, AttackType.High, 1, 0),
				new Combo(Action.STAND_F_D_DFA, 0, 50, AttackType.High, 0, 0),
				new Combo(Action.STAND_F_D_DFB, 0, 70, AttackType.Middle, 0, 0),
				new Combo(Action.STAND_D_DB_BA, 0, 70, AttackType.Middle, 0, 0),
				new Combo(Action.STAND_D_DB_BB, 0, 70, AttackType.High, 0, 0),
				new Combo(Action.AIR_A, 0, 10, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_B, 0, 30, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_DA, 0, 20, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_DB, 0, 30, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_FA, 0, 20, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_FB, 0, 30, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_UA, 0, 20, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_UB, 0, 40, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_D_DF_FA, 0, 60, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_D_DF_FB, 0, 100, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_F_D_DFA, 0, 150, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_F_D_DFB, 0, 50, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_D_DB_BA, 0, 40, AttackType.Middle, 0, 1),
				new Combo(Action.AIR_D_DB_BB, 0, 100, AttackType.Middle, 0, 1) };
		return list;
	}
}
